#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module (built from python3-cycler.spec)

%define		module		cycler
Summary:	Composable style cycles
Summary(pl.UTF-8):	Komponowalne cykle styli
Name:		python-%{module}
# keep 0.10.x here for python2 support
Version:	0.10.0
Release:	11
License:	BSD
Group:		Libraries/Python
#Source0Download: https://github.com/matplotlib/cycler/releases
# FIXME: use
#Source0:	https://github.com/matplotlib/cycler/archive/v%{version}/%{module}-%{version}.tar.gz
Source0:	https://github.com/matplotlib/cycler/archive/v%{version}.tar.gz
# Source0-md5:	83dd0df7810e838b59e4dd9fa6e2d198
URL:		https://matplotlib.org/cycler/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-nose
BuildRequires:	python-six
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-nose
BuildRequires:	python3-six
%endif
%endif
%if %{with doc}
BuildRequires:	python-ipython
BuildRequires:	python-matplotlib
BuildRequires:	python-numpydoc
BuildRequires:	sphinx-pdg-2
%endif
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Composable style cycles.

%description -l pl.UTF-8.
Komponowalne cykle styli.

%package -n python3-%{module}
Summary:	Composable style cycles
Summary(pl.UTF-8):	Komponowalne cykle styli
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-%{module}
Composable style cycles.

%description -n python3-%{module} -l pl.UTF-8.
Komponowalne cykle styli.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API modułu %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
nosetests-%{py_ver} test_cycler.py
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
nosetests-%{py3_ver} test_cycler.py
%endif
%endif

%if %{with doc}
%{__make} -C doc html \
	SPHINXBUILD=sphinx-build-2
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py_sitescriptdir}/cycler.py[co]
%{py_sitescriptdir}/cycler-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/cycler.py
%{py3_sitescriptdir}/__pycache__/cycler.cpython-*.py[co]
%{py3_sitescriptdir}/cycler-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/build/html/{_images,_modules,_static,generated,*.html,*.js,*.png}
%endif
%changelog
* Sun Mar 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-cycler.git;a=log;h=master

* Sun Mar 16 2025 Jakub Bogusz <qboosh@pld-linux.org> d580a7e
- disable python3 here, release 11

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> d0b16b2
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> ec69367
- python 3.13 rebuild

* Mon Jan 02 2023 Jakub Bogusz <qboosh@pld-linux.org> 32d1769
- actually run tests
- build docs using python2 (python3 will use separate .spec soon)

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 0f85bd4
- rebuild with tests and docs

* Sat Mar 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 62c73c5
- python2 note

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 8fea9af
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 1141d81
- rebuild with python 3.10

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 55eef06
- release 5 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 6169a7f
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> cafc0ea
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 84feb8b
- pl, cleanups

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ec2fc42
- python 3.7 rebuild
- release 2 (by relup.sh)

* Sat Dec 31 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 777ad97
- initial 0.10.0

